import java.util.ArrayList;
import java.util.List;


public class Reservation
{
	private Room room;
	private Person customer;
	
	protected static List<Reservation> reservations = new ArrayList<Reservation>();
	
	public Reservation(Room room, Person customer)
	{
		this.room = room;
		this.customer = customer;
		reservations.add(this);
		System.out.println("Created a new reservation");
	}

	public static List<Reservation> getReservations()
	{
		return reservations;
	}
	
	public Room getRoom()
	{
		return room;
	}
	
	public Person getCustomer()
	{
		return customer;
	}
}
